package FromTo;
1;

use strict;

use Mail::SpamAssassin;
use Mail::SpamAssassin::Plugin;
our @ISA = qw(Mail::SpamAssassin::Plugin);


sub new {
        my ($class, $mailsa) = @_;
        $class = ref($class) || $class;
        my $self = $class->SUPER::new( $mailsa );
        bless ($self, $class);
        $self->register_eval_rule ( 'check_for_from_and_to' );
        
        return $self;
}


# Often spam uses same From: and To:
# while most legitimate e-mails does not.
sub check_for_from_and_to {
        my ($self, $msg) = @_;

        my $from = $msg->get( 'From:addr' );
        my $To = $msg->get( 'To:addr' );

        #Mail::SpamAssassin::Plugin::dbg( "FromTo: Comparing '$from'/'$To" );

        if ( $from ne '' && $To ne '' && $from eq $To ) {
                return 1;
        }

        return 0;
}
